All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
ranges.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/utils/pimpl.hpp>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | uhd::range_t
struct | uhd::meta_range_t

## Namespaces

namespace | uhd

## Typedefs

typedef meta_range_t | uhd::gain_range_t
typedef meta_range_t | uhd::freq_range_t